﻿@model BinanceDepositHistoryViewModel
@{
    ViewBag.Title = $"تاریخچه واریز {ViewBag.Asset} از بایننس";
}

@section head{
    <style>
        td.break {
            -ms-word-break: break-all;
            word-break: break-all;
        }
    </style>
}

<div class="box box-info">
    <div class="box-header with-border">
        <div class="box-body pad">
            <div class="row">
                <div class="col-12">
                    @if (ViewBag.Exception != null)
                    {
                        <p>@ViewBag.Exception</p>
                    }
                    else
                    {
                        @Html.DataTables(
                                    @<thead>
                                        <tr>
                                            <th>نوع ارز</th>
                                            <th>
                                                آدرس کیف پول
                                            </th>
                                            <th>
                                                شماره تراکنش
                                            </th>
                                            <th>
                                                مقدار
                                            </th>
                                            <th>
                                                تاریخ
                                            </th>
                                            <th>
                                                وضعیت
                                            </th>
                                        </tr>
                                    </thead>,
                    @<tbody>
                        @if (Model.DepositHistory.Success && Model.DepositHistory != null && Model.DepositHistory.DepositList != null && Model.DepositHistory.DepositList.Count > 0)
                     {
                         foreach (var model in Model.DepositHistory.DepositList)
                         {
                        <tr>
                            <td>
                                @(model.Asset)
                            </td>
                            <td class="break">
                                @Html.DisplayFor(m => model.Address)
                            </td>
                            <td class="break">
                                @(model.TxId)
                            </td>
                            <td>
                                @(model.Amount.ToBlockChainPrice())
                            </td>
                            <td>
                                @(model.InsertTime.FromUnixTime().ToFaDateTimeZone())
                            </td>
                            <td>
                                @(model.StatusEnum.ToDisplay())
                            </td>
                        </tr>
                 }
             }
                    </tbody>).Ordering(false)
                    }
                </div>
            </div>
        </div>
    </div>
</div>
